Summary: ISO-8859-2 (aka ISO Latin 2) encoded X11 fonts
Name: X11fonts-IsoLatin2
Version: 1.0
Release: 2
Copyright: distributable
Group: X11
Source0: ftp.fi.muni.cz:/pub/UNIX/localization/X11/fonts//X11fonts-kas.tar.gz
Source1: ftp.fi.muni.cz:/pub/UNIX/localization/X11/fonts/LucidaSansTypewriter-8859-2.tar.gz
Source2: ftp.fi.muni.cz:/pub/UNIX/localization/X11/fonts/xfonts-iso2-0.84.tar.gz
Source3: ftp.fi.muni.cz:/pub/UNIX/localization/X11/X11fonts.tar.gz
Packager: Jan "Yenya" Kasprzak <kas@muni.cz>
Requires: XFree86

%description
This package contains some X11 fonts in ISO 8859-2 (aka ISO Latin 2)
encoding. The installation script puts them in a separate
directory and tries to add this directory to XF86Config's FontPath.
I have no clue about Xaccel's an MetroX's configs though.

%prep
%setup0 -c 
%setup1 -D -a 1
%setup2 -D -a 2
%setup3 -D -a 3

%install
umask 022
rm -rf /usr/X11R6/lib/X11/fonts/iso-8859-2
mkdir /usr/X11R6/lib/X11/fonts/iso-8859-2
mkdir /usr/X11R6/lib/X11/fonts/iso-8859-2/misc
mkdir /usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi
mkdir /usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi

for i in xfonts/*bdf lst-L2/*.bdf X11fonts-kas/*.bdf
do
	n=`basename $i`
	bdftopcf $i |compress >/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/${n%%bdf}pcf.Z
done

cp X11fonts-kas/*.pcf.Z /usr/X11R6/lib/X11/fonts/iso-8859-2/misc

for i in X11fonts/BDF/75dpi-2/*.bdf
do
	n=`basename $i`
	bdftopcf $i |compress >/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/${n%%bdf}pcf.Z
done
for i in X11fonts/BDF/100dpi-2/*.bdf
do
	n=`basename $i`
	bdftopcf $i |compress >/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/${n%%bdf}pcf.Z
done

cp X11fonts-kas/addfontpath.sh /usr/X11R6/lib/X11/fonts/iso-8859-2
mkfontdir /usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/
mkfontdir /usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/
mkfontdir /usr/X11R6/lib/X11/fonts/iso-8859-2/misc/

%post
sh /usr/X11R6/lib/X11/fonts/iso-8859-2/addfontpath.sh \
	/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/
sh /usr/X11R6/lib/X11/fonts/iso-8859-2/addfontpath.sh \
	/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/
sh /usr/X11R6/lib/X11/fonts/iso-8859-2/addfontpath.sh \
	/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/

%files
%dir /usr/X11R6/lib/X11/fonts/iso-8859-2/misc
%dir /usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi
%dir /usr/X11R6/lib/X11/fonts/iso-8859-2
%dir /usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/10x20.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/14x26.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/5x7.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/5x8.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/6x13.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/6x13B.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/6x14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/6x14B.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/6x9.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/7x13.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/7x13B.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/7x14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/7x14B.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/8x10.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/8x12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/8x12B.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/8x14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/8x14B.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/8x16.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/8x16B.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/8x16BS.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/8x8.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/9x15.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/9x15B.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/9x17.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/9x17B.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/courB14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/courO12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/courO14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/courR12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/courR14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/helvB14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/helvB18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timB12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timB14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timB16.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timB18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timB24.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timB32.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timBI12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timBI14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timBI16.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timBI18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timBI24.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timI12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timI14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timI16.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timI18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timI24.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timR10.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timR12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timR14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timR16.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timR18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/timR24.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/lutBS10-L2.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/lutBS12-L2.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/lutBS14-L2.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/lutBS18-L2.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/lutRS10-L2.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/lutRS12-L2.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/lutRS14-L2.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/lutRS18-L2.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/lat2-16.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/ece11x19.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/ece12x23.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/ece14x26.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/ece6x16.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/ece7x17.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/ece8x16.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/ece8x19.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/ece9x17.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/misc/fonts.dir
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timB08.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timB10.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timB12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timB14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timB18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timB24.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timBI08.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timBI10.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timBI12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timBI14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timBI18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timBI24.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timI08.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timI10.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timI12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timI14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timI18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timI24.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timR08.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timR10.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timR12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timR14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timR18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/timR24.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/75dpi/fonts.dir
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/courB10.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/courB18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timB10.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timB12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timB14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timB18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timBI10.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timBI12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timBI14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timBI18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timI10.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timI12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timI14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timI18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timR10.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timR12.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timR14.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/timR18.pcf.Z
/usr/X11R6/lib/X11/fonts/iso-8859-2/100dpi/fonts.dir
/usr/X11R6/lib/X11/fonts/iso-8859-2/addfontpath.sh
