Summary: cstocs -- a reencoding utility
Name: cstocs
Version: 3.0
Release: 1
Icon: cstocs.gif
Source: ftp.fi.muni.cz:/pub/UNIX/localization/charsets/cstocs-3.0.tar.gz
Copyright: GPL
Group: Utilities/Text
Packager: Jan "Yenya" Kasprzak <kas@muni.cz>

%description
This is an utility which allows you to re-encode files between
many encodings: ASCII, ISO-8859-1, ISO-8859-2, Microsoft cp1250 and cp1252,
Mac, MacCE, PC Latin 2, Koi8-CS and TeX Cork (T1).
See the manpage for details.

%prep
%setup
%install
PREFIX=/usr ./install.sh

%post
if test -x /usr/bin/perl
then
	ln -sf ../lib/cstocs/cstocs.pl /usr/bin/cstocs
else
	ln -sf ../lib/cstocs/cstocs.awk /usr/bin/cstocs
fi

%postun
rm -f /usr/bin/cstocs

%files
%doc README FILE.FORMAT cs-encodings-faq WHATS.NEW
%dir /usr/lib/cstocs
/usr/lib/cstocs/cstocs.pl
/usr/lib/cstocs/cstocs.awk
/usr/lib/cstocs/accent
/usr/lib/cstocs/1250.enc
/usr/lib/cstocs/1252.enc
/usr/lib/cstocs/ascii.enc
/usr/lib/cstocs/cork.enc
/usr/lib/cstocs/il1.enc
/usr/lib/cstocs/il2.enc
/usr/lib/cstocs/kam.enc
/usr/lib/cstocs/koi8.enc
/usr/lib/cstocs/mac.enc
/usr/lib/cstocs/macce.enc
/usr/lib/cstocs/pc2.enc
/usr/lib/cstocs/vga.enc
/usr/man/man1/cstocs.1.gz
