Summary: Xlib w/ improved Compose key support
Name: Xlib-Compose
Version: 1.0
Release: 2
Source: ftp.fi.muni.cz:/pub/UNIX/localization/linux/cs-tools/cs-tools-0.19.tar.gz
Copyright: X Consortium
Group: X11/Libraries
Packager: Jan "Yenya" Kasprzak <kas@muni.cz>
Requires: XFree86

%description
This package replaces libX11.so with a patched version, which allows
to handle dead keys and compose keys even in applications, which
does not know about it. This libX11.so has patched version of
XLookupString(3X) routine.
Compose table for ISO 8859-2 as well as Czech and Slovak Xmodmaps
are included.

%prep
%setup -n cs-tools-0.19
%install
cd X11/Xlib-Compose-1.1
./install.sh

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%doc X11/Xlib-Compose-1.1/README X11/Xlib-Compose-1.1/compose.patch
%dir /usr/X11R6/lib/X11/xmodmaps
/usr/X11R6/lib/libX11.so.6.0.1
/usr/i486-linuxaout/lib/libX11.so.6.0.1
/usr/X11R6/lib/X11/locale/iso8859-2/Compose
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.czus.prog
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.czus.qwerty
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.czus.qwertz
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.uscz.prog
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.uscz.qwerty
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.uscz.qwertz
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.skus.prog
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.skus.qwerty
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.skus.qwertz
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.ussk.prog
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.ussk.qwerty
/usr/X11R6/lib/X11/xmodmaps/Xmodmap.ussk.qwertz

